
//-------------------------------------------------<                axlib v1.1                 >----------------------------------------------------
//-------------------------------------------------<        >----------------------------------------------------
//-------------------------------------------------<   2015 http://www.avrki.ru >----------------------------------------------------

#ifndef MAIN_INIT_H_
#define MAIN_INIT_H_

//  CPU
#define F_CPU 1000000UL

//   
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include <stdint.h>
#include <avr/eeprom.h>
#include "axlib/type_var.h"
#include "button_lib.h"
#include "axlib/1w.h"


#define FALSE	0
#define TRUE	(!FALSE)
#define FULL	0xFF



//  LCD  162
#define DDR_RS	DDRC	//     RS
#define DDR_E	DDRC	//     E
#define DDR_D4	DDRB	//     D4
#define DDR_D5	DDRB	//     D5
#define DDR_D6	DDRB	//     D6
#define DDR_D7	DDRB	//     D7

#define PORT_RS	PORTC	//     RS
#define PORT_E	PORTC	//     E
#define PORT_D4	PORTB	//     D4
#define PORT_D5	PORTB	//     D5
#define PORT_D6	PORTB	//     D6
#define PORT_D7	PORTB	//     D7

#define RS		1		//     RS
#define E		0		//     E
#define D4		5		//     D4
#define D5		4		//     D5
#define D6		3		//     D6
#define D7		2		//     D7

	
#endif /* MAIN_INIT_H_ */