/*
 * v.c
 *
 * Created: 31.07.2017 16:20:47
 *  Author: User
 */ 


#include <avr/io.h>
#include "main_init.h"
#include "axlib/lcd.h"

#define PORT_1 PORTD
#define PORT_2 PORTC
#define PORT_3 PINB
// 
#define GEN_220_3 6          //0 -  220  
#define SET_220_3 7           //0 -  220  


// 
#define PUSKAT_VENT_1   0         // 1 -     1- 
#define PUSKAT_GEN220_1 1         // 2 -   220 1- 
#define STARTER_1 3               // 3 -   12
#define GEN_ON_1 2                // 4 -   
#define ZARYAD_2 3                // 7 -  
#define ZASL_ON_2 5               // 5 -    +-12
#define ZASL_OFF_2 4              // 6 -    -+12



#define SUTKI 86400                  //   
#define THAS 3600                    //   
#define MINUTA 60                    //   

volatile uint8_t  d;//   READ_DS18B20
volatile uint8_t  n;//   LCD_PRINT
volatile uint16_t  timer_1 ;

 uint8_t Mes0[]={65,86,84,32,79,78,0};
 uint8_t Mes1[]={65,86,84,32,79,70,70,0};	 
volatile uint8_t  key;
volatile uint16_t menu;//
volatile int8_t timer_menu;//  
volatile int8_t t_menu=-10; //  
 
volatile int8_t timer_lcd; //    LCD
volatile int8_t t_lcd=-60; //     LCD  
volatile int16_t temper ;// 
volatile float v_battery; // 
volatile float v_battery_z=12; //   

unsigned char  starter_time ; //       
unsigned char  starter_time_1 EEMEM =15 ; //        <-10
unsigned char  starter_time_2 EEMEM =12 ; //        -10 - 0
unsigned char  starter_time_3 EEMEM =10 ; //        0 +10
unsigned char  starter_time_4 EEMEM =8 ; //        >+10

unsigned char zaslon_time; //        
unsigned char zaslon_time_1 EEMEM=15 ; //         <-10
unsigned char zaslon_time_2 EEMEM=10 ; //         -10 - 0
unsigned char zaslon_time_3 EEMEM=7 ; //         0 +10
unsigned char zaslon_time_4 EEMEM =5 ; //         >+10

unsigned long  int autozapusk_interval; //       
unsigned char autozapusk_interval_1 EEMEM=2 ; //          < -10
unsigned char autozapusk_interval_2 EEMEM=4 ; //         -10 - 0
unsigned char autozapusk_interval_3 EEMEM=8 ; //          0 +10
unsigned char autozapusk_interval_4 EEMEM=16 ; //          > +10

	
volatile uint8_t GEN_FLAG;//   	
#define AUTOMATIK_ON	(1<<0)			// 
#define PROGREV_ON	    (1<<1)			// 
#define HAND_ON	        (1<<2)			// 
#define HAND_OFF		(1<<3)			//
#define FUUL_ZARYAD		(1<<4)			// 
#define READ_ZARYAD	    (1<<5)			// 
#define READ_DS18B20	(1<<6)			// 
#define LCD_PRINT	    (1<<7)			//
	

		ISR(TIMER2_COMP_vect)

		{
			
			BtnExe ();
			n++;
			if (n==50)//500 
 {
	GEN_FLAG|=LCD_PRINT;//  LCD (500ms)
	 n=0;
 }
 
            d++;
			if (d==100) // 1 
 {
	 d=0;
	 GEN_FLAG |=READ_DS18B20; 
	 GEN_FLAG |=READ_ZARYAD;
	 
	
	 if (timer_menu<0)
	 {
		  timer_menu++; 
	 }
	 
	 if (timer_lcd<0)
	 {
		timer_lcd++; 
	 }
	 
 }
			
			TCNT2=0x00;
		}
		
		
 void gen_avtoprogrev();//    		
 void gasoline_start();	// 	
 void control_gen ();	//,  	
 void battery_monitoring();//	      	
 void timer_init();	//      
 void read_temper();//    		
 void lcd_print(); //   
 void control_time();//        .
 void EEPROM_WritByte(uint8_t *adr, uint8_t value) ;//   
 uint8_t EEPROM_ReadByte(uint8_t *adr);//    
 void sw_delay_ms(uint16_t count);//  
 
int main(void)
{
	// 
	
	DDRB|=(1<<0);
	PORTB|=(1<<0);
	DDRB&=(~((1<<6)|(1<<7)));
	PORTB&=(~((1<<6)|(1<<7)));
	
	DDRD|=(1<<0)|(1<<1)|(1<<2)|(1<<3);
	PORTD&=(~((1<<0)|(1<<1)|(1<<2)|(1<<3)));
	DDRD&=(~(1<<4));
	PORTD|=(1<<4);
	
	DDRC|=(1<<3)|(1<<4)|(1<<5);
	PORTC&=(~((1<<3)|(1<<4)|(1<<5)));
	
	timer_lcd=t_lcd;
	timer_menu=t_menu;
	GEN_FLAG=0xC7;
	
	timer_init();
	BtnInit ();
	owire_init();
	lcd_init(0);
	
	// 
		ADMUX=2;
		ADCSRA=0x83;

	
	sei ();
    while(1)
    {
		if(PORT_3&(1<<SET_220_3))// 220  
		{
			uint8_t i;	
			if  (GEN_FLAG&AUTOMATIK_ON)  //  
          {
	      // _delay_ms(60000); //    220 //  
	            if (PORT_3&(1<<SET_220_3))// 
				  {gasoline_start();}// 
	           //   _delay_ms(30000);  //    //  
	               if (!(PORT_3&(1<<GEN_220_3)))// 0  
				      {
					PORT_1 |=(1<<PUSKAT_GEN220_1);//  
					PORT_1 |=(1<<PUSKAT_VENT_1);//  
				      }
	                   for (i=0;i<250;i++) //125 
					    {
							if(!(PORT_3&(1<<SET_220_3)))//  
							{break;}
						  _delay_ms(30000);
						  
					    }
						PORT_1 &=~(1<<PUSKAT_GEN220_1);//   
						PORT_1 &=~(1<<PUSKAT_VENT_1);//  
	                    PORT_1 &=~(1<<GEN_ON_1);   //   
							
	                        
	                        timer_1=0;
                      
		   }
				   
			
			
		
		}// SET_220_OFF
		
		else
		{
		read_temper();
		battery_monitoring();
		gen_avtoprogrev() ;
			
		}// else SET_220_OFF
		
		
	  
      lcd_print(); 
      control_gen();
	  control_time();
   }// while 
}// main

void lcd_print()
	{
char buffer[16];
		
	  if (GEN_FLAG & LCD_PRINT){
		GEN_FLAG &=(~LCD_PRINT);	  
		key=BtnGet ();
		
		switch (menu)
		{
		  case 0 :
		     switch(key)
			 {
				
			 					 
			     case 1 ://BTN_SHRT_PLUS
				      
  				    timer_lcd=t_lcd;
					  
		         break;
			 
			     case 2 ://BTN_SHRT_MINUS
				     
  				    timer_lcd=t_lcd;
					 
		         break;
				 
				  case 4 ://BTN_SHRT_OK
				  
				  timer_lcd=t_lcd;
				  
				  break;
				 
				 
				 
				 case 8 ://BTN_LONG_PLUS
  				     
		         break;
				 
				 case 16 ://BTN_LONG_MINUS
  				      
		         break;
				 
				 case 32 ://BTN_LONG_OK
				 menu=1;
				 break;
				 				 				 
				 case 64 ://BTN_L_LONG_PLUS
  				   GEN_FLAG&=(HAND_ON);   
		         break;
				 
				 case 128  ://BTN_L_LONG_MINUS
  				   GEN_FLAG&=(HAND_OFF); 
		         break;
				 			 
		   default:	
		   break;
			 }//switch(key)
			 
		  lcd_clear();
		  
		  lcd_gotoxy(0, 0);
		  
		  if (GEN_FLAG & AUTOMATIK_ON)
		  {
	
			 lcd_str_out(Mes0); 
		  }
		 		  
		  else
		  {
			lcd_str_out(Mes1);   
			
			
		  }
		
		lcd_gotoxy(10, 0);
		sprintf(buffer,"%1.1f\V", v_battery);
		lcd_str_out(buffer);
		  
	// "Data: %1.2f", V
		  
	    lcd_gotoxy(0,1);
		sprintf(buffer,"Air_temp = %i\xdf\C ",temper);
		lcd_str_out(buffer);
		
		  
		  break;
		  
		  case 1 :
		     switch(key)
			 {
				 case BTN_SHRT_OK :
				 
							 
	   			 
			     break;
			 					 
			     case BTN_SHRT_PLUS :
				      
  				   
					  
		         break;
			 
			     case BTN_SHRT_MINUS :
				     
  				   
					 
		         break;
				 
				 case BTN_LONG_OK :
  				   menu=0;   
		         break;
				 
				 case BTN_LONG_PLUS :
  				     
		         break;
				 
				 case BTN_LONG_MINUS :
  				      
		         break;
				 				 				 
				 case BTN_L_LONG_PLUS :
  				  
		         break;
				 
				 case BTN_L_LONG_MINUS :
  				 
				   
		         break;
				 			 
		   default:	
		   break;
			 }//switch(key)
			 
		  lcd_clear();
		  
		  
	    lcd_gotoxy(0,1);
		sprintf(buffer,"Air_temp = %i\xdf\C ",temper);
		lcd_str_out(buffer);
		
		  
		  break;	
		  
		  
		  	
		  
		default:	
		  break;
		}//  switch (menu)
		
      
	  key=0; 
		}// if (LCD_PRINT)
	 } //  lcd_print()
	 
	 
	 
	
		 
	 
	 void read_temper()
	 {
		 static uint8_t f=0;
		 uint8_t temp[2];
		 
		 if (GEN_FLAG & READ_DS18B20)
		 {
		GEN_FLAG &=(~READ_DS18B20); 
		 
		
		 
		 
		 if (f) //     
		
		   {
			   f=0;
			owire_init();
			owire_write(0xCC);
			owire_write(0x44);
			
		   }
			 
			else //   
			{
				f=1;
				owire_init();
				owire_write(0xCC);
				owire_write(0xBE);
				
				temp[0] = owire_read();
				temp[1] = owire_read();
				
				owire_init();
				
				
				*((unsigned char*)&temper)= temp[0];
				*((unsigned char*)&temper+1)= temp[1];
				temper/=16;
		
			
			
			
			 if (temper <= -10 )
			 {
				 starter_time=EEPROM_ReadByte (&starter_time_1);                           //     
				 zaslon_time=EEPROM_ReadByte (&zaslon_time_1);                             //      
				 autozapusk_interval =SUTKI*(EEPROM_ReadByte (&autozapusk_interval_1)) ;   //    
			 }
			 
			 if ((-10 < temper)&(temper <= 0 ))
			 {
				 starter_time=EEPROM_ReadByte (&starter_time_2);
				 zaslon_time=EEPROM_ReadByte (&zaslon_time_2);
				 autozapusk_interval = SUTKI*(EEPROM_ReadByte (&autozapusk_interval_2));
			 }
			 
			 if ((0 < temper)& (temper<= 10 ))
			 {
				 starter_time=EEPROM_ReadByte (&starter_time_3);
				 zaslon_time=EEPROM_ReadByte (&zaslon_time_3);
				 autozapusk_interval = SUTKI*(EEPROM_ReadByte (&autozapusk_interval_3));
			 }
			 
			 if (temper > 10)
			 {
				 starter_time=EEPROM_ReadByte (&starter_time_4);
				 zaslon_time=EEPROM_ReadByte (&zaslon_time_4);
				 autozapusk_interval = SUTKI*(EEPROM_ReadByte (&autozapusk_interval_4));
			 }
			
		 }
			
			}
	 }//  read_temper()
	 
	 
	 //  EEPROM
	 void EEPROM_WritByte(uint8_t *adr, uint8_t value)   // EEPROM_WritByte(&temp_1, 125);
	 {
		 while (EECR & (1<<EEWE));
		 EEAR = (uint16_t)adr;
		 EEDR =value;
		 EECR |= (1<<EEMWE);
		 EECR |= (1<<EEWE);
	 }
	 
	 //  EEPROM
	 uint8_t EEPROM_ReadByte(uint8_t *adr)
	 {
		 unsigned char temp =0;
		 while (EECR & (1<<EEWE));
		 EEAR = (uint16_t)adr;
		 EECR |= (1<< EERE);
		 EECR &= ~(1<<EERE);
		 temp= EEDR ;
		 return  temp;
	 }
	 
	 
	 
	 //    
	 //
	 void sw_delay_ms(uint16_t count)
	 {
		 //     
		 while (count-- > 0)
		 {
			 // 1    
			 _delay_ms(1);
		 }
	 }
	 
	 
	 
	void timer_init()
	{
	
	//   10

    TCCR2 |= (1 << CS22)|(1 << CS21)|(1 << CS20);	//  1024
    OCR2 =0x61;			    //    10
	TCNT2 = 0x00;	    	// 
	TIMSK |= (1 << OCIE2);  //   2  
 
		
	}

void battery_monitoring()//
	{
		if(GEN_FLAG & READ_ZARYAD)
		{ 
			uint16_t data = 0;
			
			GEN_FLAG &=(~READ_ZARYAD);
			ADCSRA |= 0x40; //  1  ADSC
            data = ADCW; //   
            v_battery = (float) data*0.0048828*4; //   
					
					
		}
	}	
	
	//   
	void control_gen ()
	{
		if ((!(GEN_FLAG&AUTOMATIK_ON))&(GEN_FLAG&HAND_ON) )//          + 2,5 
		
           {
              gasoline_start();
           }
	    else
		   {
			   GEN_FLAG&=(~(1<<HAND_ON));
		   }
     if (GEN_FLAG&HAND_OFF) //      -  2,5 
	  {
		PORT_1&=(~(1<<PUSKAT_GEN220_1))	;  
		PORT_1&=(~(1<<PUSKAT_VENT_1));  
		PORT_1&=(~(1<<GEN_ON_1)) ;
     }     
		
	}// void control_gen ()
	
	void gasoline_start()
	{
	uint8_t i;	
    PORT_1|=(1<<GEN_ON_1);
	PORT_2|=(1<<ZASL_OFF_2);
	_delay_ms(500);
	PORT_2 &=~(1<<ZASL_OFF_2);
	_delay_ms(500);
	PORT_2|=(1<<ZASL_OFF_2);
	_delay_ms(500);
	PORT_2 &=~(1<<ZASL_OFF_2);
	for (i=0;i<5;i++)                                  //5   
	{
	    PORT_1|=(1<<STARTER_1);	
		sw_delay_ms(starter_time*1000);
		PORT_1 &=~(1<<STARTER_1);
		
		if (!(PORT_3&(1<<GEN_220_3))) { break;}  //  0  220   
	}
	sw_delay_ms(zaslon_time*1000);
	PORT_2|=(1<<ZASL_ON_2);
    _delay_ms(500);
	PORT_2 &=~(1<<ZASL_ON_2);
	_delay_ms(500);
	PORT_2|=(1<<ZASL_ON_2);
	_delay_ms(500);
	PORT_2 &=~(1<<ZASL_ON_2);
	if (PORT_3&(1<<GEN_220_3)) 
	   { 
		PORT_1 &=~(1<<GEN_ON_1);
		}	
		
	}// void gasoline_start()
	
	void gen_avtoprogrev() 
	    {
      if ((!(PORT_3&(1<<SET_220_3))) & (autozapusk_interval < timer_1) & (GEN_FLAG&PROGREV_ON))       // 220 ,   ,   
          {
	      gasoline_start();
	      _delay_ms(60000);   //     - 1 
	      PORT_1 &=~(1<<GEN_ON_1);   //   
	      timer_1=0;
         }	
	  }
	  
	  void control_time()
	  {
		 
		  if (!timer_menu)
		  {
			menu=0;  
		  }
		  
		  if(timer_lcd)
		  {
			PORTB|=(1<<0);
		  }
		  else
		  {
			
			 PORTB&=(~(1<<0));  
		  }
	  }